source: projects/vine-manual-skel/trunk/Makefile.in @ 4587

Revision 4587, 22.9 KB checked in by yasumichi, 11 years ago (diff)

import vine-manual-skel

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkgincludedir = $(includedir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkglibexecdir = $(libexecdir)/@PACKAGE@
23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24install_sh_DATA = $(install_sh) -c -m 644
25install_sh_PROGRAM = $(install_sh) -c
26install_sh_SCRIPT = $(install_sh) -c
27INSTALL_HEADER = $(INSTALL_DATA)
28transform = $(program_transform_name)
29NORMAL_INSTALL = :
30PRE_INSTALL = :
31POST_INSTALL = :
32NORMAL_UNINSTALL = :
33PRE_UNINSTALL = :
34POST_UNINSTALL = :
35subdir = .
36DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
37        $(srcdir)/Makefile.in $(srcdir)/vine-manual-init.in \
38        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
39        install-sh missing
40ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
41am__aclocal_m4_deps = $(top_srcdir)/configure.ac
42am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
43        $(ACLOCAL_M4)
44am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
45 configure.lineno config.status.lineno
46mkinstalldirs = $(install_sh) -d
47CONFIG_CLEAN_FILES = vine-manual-init
48CONFIG_CLEAN_VPATH_FILES =
49am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
50am__vpath_adj = case $$p in \
51    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
52    *) f=$$p;; \
53  esac;
54am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
55am__install_max = 40
56am__nobase_strip_setup = \
57  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
58am__nobase_strip = \
59  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
60am__nobase_list = $(am__nobase_strip_setup); \
61  for p in $$list; do echo "$$p $$p"; done | \
62  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
63  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
64    if (++n[$$2] == $(am__install_max)) \
65      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
66    END { for (dir in files) print dir, files[dir] }'
67am__base_list = \
68  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
69  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
70am__installdirs = "$(DESTDIR)$(bindir)"
71SCRIPTS = $(bin_SCRIPTS)
72SOURCES =
73DIST_SOURCES =
74RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
75        html-recursive info-recursive install-data-recursive \
76        install-dvi-recursive install-exec-recursive \
77        install-html-recursive install-info-recursive \
78        install-pdf-recursive install-ps-recursive install-recursive \
79        installcheck-recursive installdirs-recursive pdf-recursive \
80        ps-recursive uninstall-recursive
81RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
82  distclean-recursive maintainer-clean-recursive
83AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
84        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
85        distdir dist dist-all distcheck
86ETAGS = etags
87CTAGS = ctags
88DIST_SUBDIRS = $(SUBDIRS)
89DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
90distdir = $(PACKAGE)-$(VERSION)
91top_distdir = $(distdir)
92am__remove_distdir = \
93  { test ! -d "$(distdir)" \
94    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
95         && rm -fr "$(distdir)"; }; }
96am__relativize = \
97  dir0=`pwd`; \
98  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
99  sed_rest='s,^[^/]*/*,,'; \
100  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
101  sed_butlast='s,/*[^/]*$$,,'; \
102  while test -n "$$dir1"; do \
103    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
104    if test "$$first" != "."; then \
105      if test "$$first" = ".."; then \
106        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
107        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
108      else \
109        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
110        if test "$$first2" = "$$first"; then \
111          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
112        else \
113          dir2="../$$dir2"; \
114        fi; \
115        dir0="$$dir0"/"$$first"; \
116      fi; \
117    fi; \
118    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
119  done; \
120  reldir="$$dir2"
121GZIP_ENV = --best
122DIST_ARCHIVES = $(distdir).tar.bz2
123distuninstallcheck_listfiles = find . -type f -print
124distcleancheck_listfiles = find . -type f -print
125ACLOCAL = @ACLOCAL@
126AMTAR = @AMTAR@
127AUTOCONF = @AUTOCONF@
128AUTOHEADER = @AUTOHEADER@
129AUTOMAKE = @AUTOMAKE@
130AWK = @AWK@
131CYGPATH_W = @CYGPATH_W@
132DEFS = @DEFS@
133ECHO_C = @ECHO_C@
134ECHO_N = @ECHO_N@
135ECHO_T = @ECHO_T@
136INSTALL = @INSTALL@
137INSTALL_DATA = @INSTALL_DATA@
138INSTALL_PROGRAM = @INSTALL_PROGRAM@
139INSTALL_SCRIPT = @INSTALL_SCRIPT@
140INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
141LIBOBJS = @LIBOBJS@
142LIBS = @LIBS@
143LTLIBOBJS = @LTLIBOBJS@
144MAINT = @MAINT@
145MAKEINFO = @MAKEINFO@
146MKDIR_P = @MKDIR_P@
147PACKAGE = @PACKAGE@
148PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
149PACKAGE_NAME = @PACKAGE_NAME@
150PACKAGE_STRING = @PACKAGE_STRING@
151PACKAGE_TARNAME = @PACKAGE_TARNAME@
152PACKAGE_URL = @PACKAGE_URL@
153PACKAGE_VERSION = @PACKAGE_VERSION@
154PATH_SEPARATOR = @PATH_SEPARATOR@
155SET_MAKE = @SET_MAKE@
156SHELL = @SHELL@
157STRIP = @STRIP@
158VERSION = @VERSION@
159abs_builddir = @abs_builddir@
160abs_srcdir = @abs_srcdir@
161abs_top_builddir = @abs_top_builddir@
162abs_top_srcdir = @abs_top_srcdir@
163am__leading_dot = @am__leading_dot@
164am__tar = @am__tar@
165am__untar = @am__untar@
166bindir = @bindir@
167build_alias = @build_alias@
168builddir = @builddir@
169datadir = @datadir@
170datarootdir = @datarootdir@
171docdir = @docdir@
172dvidir = @dvidir@
173exec_prefix = @exec_prefix@
174host_alias = @host_alias@
175htmldir = @htmldir@
176includedir = @includedir@
177infodir = @infodir@
178install_sh = @install_sh@
179libdir = @libdir@
180libexecdir = @libexecdir@
181localedir = @localedir@
182localstatedir = @localstatedir@
183mandir = @mandir@
184mkdir_p = @mkdir_p@
185oldincludedir = @oldincludedir@
186pdfdir = @pdfdir@
187prefix = @prefix@
188program_transform_name = @program_transform_name@
189psdir = @psdir@
190sbindir = @sbindir@
191sharedstatedir = @sharedstatedir@
192srcdir = @srcdir@
193sysconfdir = @sysconfdir@
194target_alias = @target_alias@
195top_build_prefix = @top_build_prefix@
196top_builddir = @top_builddir@
197top_srcdir = @top_srcdir@
198SUBDIRS = template
199bin_SCRIPTS = vine-manual-init
200all: all-recursive
201
202.SUFFIXES:
203am--refresh:
204        @:
205$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
206        @for dep in $?; do \
207          case '$(am__configure_deps)' in \
208            *$$dep*) \
209              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
210              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
211                && exit 0; \
212              exit 1;; \
213          esac; \
214        done; \
215        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
216        $(am__cd) $(top_srcdir) && \
217          $(AUTOMAKE) --gnu Makefile
218.PRECIOUS: Makefile
219Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
220        @case '$?' in \
221          *config.status*) \
222            echo ' $(SHELL) ./config.status'; \
223            $(SHELL) ./config.status;; \
224          *) \
225            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
226            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
227        esac;
228
229$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
230        $(SHELL) ./config.status --recheck
231
232$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
233        $(am__cd) $(srcdir) && $(AUTOCONF)
234$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
235        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
236$(am__aclocal_m4_deps):
237vine-manual-init: $(top_builddir)/config.status $(srcdir)/vine-manual-init.in
238        cd $(top_builddir) && $(SHELL) ./config.status $@
239install-binSCRIPTS: $(bin_SCRIPTS)
240        @$(NORMAL_INSTALL)
241        test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
242        @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
243        for p in $$list; do \
244          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
245          if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
246        done | \
247        sed -e 'p;s,.*/,,;n' \
248            -e 'h;s|.*|.|' \
249            -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
250        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
251          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
252            if ($$2 == $$4) { files[d] = files[d] " " $$1; \
253              if (++n[d] == $(am__install_max)) { \
254                print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
255            else { print "f", d "/" $$4, $$1 } } \
256          END { for (d in files) print "f", d, files[d] }' | \
257        while read type dir files; do \
258             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
259             test -z "$$files" || { \
260               echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
261               $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
262             } \
263        ; done
264
265uninstall-binSCRIPTS:
266        @$(NORMAL_UNINSTALL)
267        @list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
268        files=`for p in $$list; do echo "$$p"; done | \
269               sed -e 's,.*/,,;$(transform)'`; \
270        test -n "$$list" || exit 0; \
271        echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
272        cd "$(DESTDIR)$(bindir)" && rm -f $$files
273
274# This directory's subdirectories are mostly independent; you can cd
275# into them and run `make' without going through this Makefile.
276# To change the values of `make' variables: instead of editing Makefiles,
277# (1) if the variable is set in `config.status', edit `config.status'
278#     (which will cause the Makefiles to be regenerated when you run `make');
279# (2) otherwise, pass the desired values on the `make' command line.
280$(RECURSIVE_TARGETS):
281        @fail= failcom='exit 1'; \
282        for f in x $$MAKEFLAGS; do \
283          case $$f in \
284            *=* | --[!k]*);; \
285            *k*) failcom='fail=yes';; \
286          esac; \
287        done; \
288        dot_seen=no; \
289        target=`echo $@ | sed s/-recursive//`; \
290        list='$(SUBDIRS)'; for subdir in $$list; do \
291          echo "Making $$target in $$subdir"; \
292          if test "$$subdir" = "."; then \
293            dot_seen=yes; \
294            local_target="$$target-am"; \
295          else \
296            local_target="$$target"; \
297          fi; \
298          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
299          || eval $$failcom; \
300        done; \
301        if test "$$dot_seen" = "no"; then \
302          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
303        fi; test -z "$$fail"
304
305$(RECURSIVE_CLEAN_TARGETS):
306        @fail= failcom='exit 1'; \
307        for f in x $$MAKEFLAGS; do \
308          case $$f in \
309            *=* | --[!k]*);; \
310            *k*) failcom='fail=yes';; \
311          esac; \
312        done; \
313        dot_seen=no; \
314        case "$@" in \
315          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
316          *) list='$(SUBDIRS)' ;; \
317        esac; \
318        rev=''; for subdir in $$list; do \
319          if test "$$subdir" = "."; then :; else \
320            rev="$$subdir $$rev"; \
321          fi; \
322        done; \
323        rev="$$rev ."; \
324        target=`echo $@ | sed s/-recursive//`; \
325        for subdir in $$rev; do \
326          echo "Making $$target in $$subdir"; \
327          if test "$$subdir" = "."; then \
328            local_target="$$target-am"; \
329          else \
330            local_target="$$target"; \
331          fi; \
332          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
333          || eval $$failcom; \
334        done && test -z "$$fail"
335tags-recursive:
336        list='$(SUBDIRS)'; for subdir in $$list; do \
337          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
338        done
339ctags-recursive:
340        list='$(SUBDIRS)'; for subdir in $$list; do \
341          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
342        done
343
344ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
345        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
346        unique=`for i in $$list; do \
347            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
348          done | \
349          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
350              END { if (nonempty) { for (i in files) print i; }; }'`; \
351        mkid -fID $$unique
352tags: TAGS
353
354TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
355                $(TAGS_FILES) $(LISP)
356        set x; \
357        here=`pwd`; \
358        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
359          include_option=--etags-include; \
360          empty_fix=.; \
361        else \
362          include_option=--include; \
363          empty_fix=; \
364        fi; \
365        list='$(SUBDIRS)'; for subdir in $$list; do \
366          if test "$$subdir" = .; then :; else \
367            test ! -f $$subdir/TAGS || \
368              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
369          fi; \
370        done; \
371        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
372        unique=`for i in $$list; do \
373            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
374          done | \
375          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
376              END { if (nonempty) { for (i in files) print i; }; }'`; \
377        shift; \
378        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
379          test -n "$$unique" || unique=$$empty_fix; \
380          if test $$# -gt 0; then \
381            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
382              "$$@" $$unique; \
383          else \
384            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
385              $$unique; \
386          fi; \
387        fi
388ctags: CTAGS
389CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
390                $(TAGS_FILES) $(LISP)
391        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
392        unique=`for i in $$list; do \
393            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
394          done | \
395          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
396              END { if (nonempty) { for (i in files) print i; }; }'`; \
397        test -z "$(CTAGS_ARGS)$$unique" \
398          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
399             $$unique
400
401GTAGS:
402        here=`$(am__cd) $(top_builddir) && pwd` \
403          && $(am__cd) $(top_srcdir) \
404          && gtags -i $(GTAGS_ARGS) "$$here"
405
406distclean-tags:
407        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
408
409distdir: $(DISTFILES)
410        $(am__remove_distdir)
411        test -d "$(distdir)" || mkdir "$(distdir)"
412        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
413        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
414        list='$(DISTFILES)'; \
415          dist_files=`for file in $$list; do echo $$file; done | \
416          sed -e "s|^$$srcdirstrip/||;t" \
417              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
418        case $$dist_files in \
419          */*) $(MKDIR_P) `echo "$$dist_files" | \
420                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
421                           sort -u` ;; \
422        esac; \
423        for file in $$dist_files; do \
424          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
425          if test -d $$d/$$file; then \
426            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
427            if test -d "$(distdir)/$$file"; then \
428              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
429            fi; \
430            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
431              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
432              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
433            fi; \
434            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
435          else \
436            test -f "$(distdir)/$$file" \
437            || cp -p $$d/$$file "$(distdir)/$$file" \
438            || exit 1; \
439          fi; \
440        done
441        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
442          if test "$$subdir" = .; then :; else \
443            test -d "$(distdir)/$$subdir" \
444            || $(MKDIR_P) "$(distdir)/$$subdir" \
445            || exit 1; \
446          fi; \
447        done
448        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
449          if test "$$subdir" = .; then :; else \
450            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
451            $(am__relativize); \
452            new_distdir=$$reldir; \
453            dir1=$$subdir; dir2="$(top_distdir)"; \
454            $(am__relativize); \
455            new_top_distdir=$$reldir; \
456            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
457            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
458            ($(am__cd) $$subdir && \
459              $(MAKE) $(AM_MAKEFLAGS) \
460                top_distdir="$$new_top_distdir" \
461                distdir="$$new_distdir" \
462                am__remove_distdir=: \
463                am__skip_length_check=: \
464                am__skip_mode_fix=: \
465                distdir) \
466              || exit 1; \
467          fi; \
468        done
469        -test -n "$(am__skip_mode_fix)" \
470        || find "$(distdir)" -type d ! -perm -755 \
471                -exec chmod u+rwx,go+rx {} \; -o \
472          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
473          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
474          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
475        || chmod -R a+r "$(distdir)"
476dist-gzip: distdir
477        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
478        $(am__remove_distdir)
479dist-bzip2: distdir
480        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
481        $(am__remove_distdir)
482
483dist-lzma: distdir
484        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
485        $(am__remove_distdir)
486
487dist-xz: distdir
488        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
489        $(am__remove_distdir)
490
491dist-tarZ: distdir
492        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
493        $(am__remove_distdir)
494
495dist-shar: distdir
496        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
497        $(am__remove_distdir)
498
499dist-zip: distdir
500        -rm -f $(distdir).zip
501        zip -rq $(distdir).zip $(distdir)
502        $(am__remove_distdir)
503
504dist dist-all: distdir
505        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
506        $(am__remove_distdir)
507
508# This target untars the dist file and tries a VPATH configuration.  Then
509# it guarantees that the distribution is self-contained by making another
510# tarfile.
511distcheck: dist
512        case '$(DIST_ARCHIVES)' in \
513        *.tar.gz*) \
514          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
515        *.tar.bz2*) \
516          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
517        *.tar.lzma*) \
518          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
519        *.tar.xz*) \
520          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
521        *.tar.Z*) \
522          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
523        *.shar.gz*) \
524          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
525        *.zip*) \
526          unzip $(distdir).zip ;;\
527        esac
528        chmod -R a-w $(distdir); chmod a+w $(distdir)
529        mkdir $(distdir)/_build
530        mkdir $(distdir)/_inst
531        chmod a-w $(distdir)
532        test -d $(distdir)/_build || exit 0; \
533        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
534          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
535          && am__cwd=`pwd` \
536          && $(am__cd) $(distdir)/_build \
537          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
538            $(DISTCHECK_CONFIGURE_FLAGS) \
539          && $(MAKE) $(AM_MAKEFLAGS) \
540          && $(MAKE) $(AM_MAKEFLAGS) dvi \
541          && $(MAKE) $(AM_MAKEFLAGS) check \
542          && $(MAKE) $(AM_MAKEFLAGS) install \
543          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
544          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
545          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
546                distuninstallcheck \
547          && chmod -R a-w "$$dc_install_base" \
548          && ({ \
549               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
550               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
551               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
552               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
553                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
554              } || { rm -rf "$$dc_destdir"; exit 1; }) \
555          && rm -rf "$$dc_destdir" \
556          && $(MAKE) $(AM_MAKEFLAGS) dist \
557          && rm -rf $(DIST_ARCHIVES) \
558          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
559          && cd "$$am__cwd" \
560          || exit 1
561        $(am__remove_distdir)
562        @(echo "$(distdir) archives ready for distribution: "; \
563          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
564          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
565distuninstallcheck:
566        @$(am__cd) '$(distuninstallcheck_dir)' \
567        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
568           || { echo "ERROR: files left after uninstall:" ; \
569                if test -n "$(DESTDIR)"; then \
570                  echo "  (check DESTDIR support)"; \
571                fi ; \
572                $(distuninstallcheck_listfiles) ; \
573                exit 1; } >&2
574distcleancheck: distclean
575        @if test '$(srcdir)' = . ; then \
576          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
577          exit 1 ; \
578        fi
579        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
580          || { echo "ERROR: files left in build directory after distclean:" ; \
581               $(distcleancheck_listfiles) ; \
582               exit 1; } >&2
583check-am: all-am
584check: check-recursive
585all-am: Makefile $(SCRIPTS)
586installdirs: installdirs-recursive
587installdirs-am:
588        for dir in "$(DESTDIR)$(bindir)"; do \
589          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
590        done
591install: install-recursive
592install-exec: install-exec-recursive
593install-data: install-data-recursive
594uninstall: uninstall-recursive
595
596install-am: all-am
597        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
598
599installcheck: installcheck-recursive
600install-strip:
601        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
602          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
603          `test -z '$(STRIP)' || \
604            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
605mostlyclean-generic:
606
607clean-generic:
608
609distclean-generic:
610        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
611        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
612
613maintainer-clean-generic:
614        @echo "This command is intended for maintainers to use"
615        @echo "it deletes files that may require special tools to rebuild."
616clean: clean-recursive
617
618clean-am: clean-generic mostlyclean-am
619
620distclean: distclean-recursive
621        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
622        -rm -f Makefile
623distclean-am: clean-am distclean-generic distclean-tags
624
625dvi: dvi-recursive
626
627dvi-am:
628
629html: html-recursive
630
631html-am:
632
633info: info-recursive
634
635info-am:
636
637install-data-am:
638
639install-dvi: install-dvi-recursive
640
641install-dvi-am:
642
643install-exec-am: install-binSCRIPTS
644
645install-html: install-html-recursive
646
647install-html-am:
648
649install-info: install-info-recursive
650
651install-info-am:
652
653install-man:
654
655install-pdf: install-pdf-recursive
656
657install-pdf-am:
658
659install-ps: install-ps-recursive
660
661install-ps-am:
662
663installcheck-am:
664
665maintainer-clean: maintainer-clean-recursive
666        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
667        -rm -rf $(top_srcdir)/autom4te.cache
668        -rm -f Makefile
669maintainer-clean-am: distclean-am maintainer-clean-generic
670
671mostlyclean: mostlyclean-recursive
672
673mostlyclean-am: mostlyclean-generic
674
675pdf: pdf-recursive
676
677pdf-am:
678
679ps: ps-recursive
680
681ps-am:
682
683uninstall-am: uninstall-binSCRIPTS
684
685.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
686        install-am install-strip tags-recursive
687
688.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
689        all all-am am--refresh check check-am clean clean-generic \
690        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
691        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
692        distclean distclean-generic distclean-tags distcleancheck \
693        distdir distuninstallcheck dvi dvi-am html html-am info \
694        info-am install install-am install-binSCRIPTS install-data \
695        install-data-am install-dvi install-dvi-am install-exec \
696        install-exec-am install-html install-html-am install-info \
697        install-info-am install-man install-pdf install-pdf-am \
698        install-ps install-ps-am install-strip installcheck \
699        installcheck-am installdirs installdirs-am maintainer-clean \
700        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
701        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
702        uninstall-binSCRIPTS
703
704
705# Tell versions [3.59,3.63) of GNU make to not export all variables.
706# Otherwise a system limit (for SysV at least) may be exceeded.
707.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.